Page MenuHomePhabricator

Deploy wikidiff2 v1.8.1 with changed signature
Closed, ResolvedPublic

Description

Deploy v1.8.1 of wikidiff2

Keep in mind, that the signature of the wikidiff2 function changed from the previous version 1.7.3. So deploying this version makes clearing the HHVM byte cache necessary.

Event Timeline

WMDE-Fisch renamed this task from Release and deploy wikidiff2 version 1.8.0 with change signature. to Release and deploy wikidiff2 version 1.8.0 with new signature..Aug 29 2018, 9:55 AM
WMDE-Fisch triaged this task as Normal priority.
WMDE-Fisch created this task.
WMDE-Fisch renamed this task from Release and deploy wikidiff2 version 1.8.0 with new signature. to Release and deploy wikidiff2 v1.8.0 with new signature..Aug 29 2018, 10:01 AM
WMDE-Fisch updated the task description. (Show Details)
WMDE-Fisch removed the point value for this task.
WMDE-Fisch renamed this task from Release and deploy wikidiff2 v1.8.0 with new signature. to Release and deploy wikidiff2 v1.8.0 with changed signature.Aug 31 2018, 11:30 AM
WMDE-Fisch updated the task description. (Show Details)

Since the deployment of this version is a bit more time consuming and should happen with a bit more precaution we decided on doing it separately from the 1.7.3 deployment, which should happen before.

WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-08-29 board.
thiemowmde removed WMDE-Fisch as the assignee of this task.Sep 13 2018, 2:28 PM
thiemowmde moved this task from Doing to Sprint Backlog on the WMDE-QWERTY-Sprint-2018-08-29 board.
WMDE-Fisch updated the task description. (Show Details)Jan 11 2019, 2:28 PM

@MoritzMuehlenhoff We would like to see this new version of wikidiff2 to be deployed soon-ish if possible. The signature changed so byte cache cleaning will be necessary. That be possible in the near future?

P.S.: Happy New Year!

WMDE-Fisch changed the task status from Open to Stalled.Jan 23 2019, 4:05 PM

@MoritzMuehlenhoff We're just working on a bugfix in the 1.8.0 version. So please wait with the deployment for now. I'll ping you on this ticket again when we released the fixed version.

@MoritzMuehlenhoff We're just working on a bugfix in the 1.8.0 version. So please wait with the deployment for now. I'll ping you on this ticket again when we released the fixed version.

Ack!

WMDE-Fisch renamed this task from Release and deploy wikidiff2 v1.8.0 with changed signature to Deploy wikidiff2 v1.8.1 with changed signature.Mar 13 2019, 7:54 AM
WMDE-Fisch removed a project: WMDE-QWERTY-Team.
WMDE-Fisch updated the task description. (Show Details)

@MoritzMuehlenhoff We're just working on a bugfix in the 1.8.0 version. So please wait with the deployment for now. I'll ping you on this ticket again when we released the fixed version.

The bugfix version 1.8.1 is released ( and we even managed to fix at least two bugs in there \o/ ) and we now can really go on with deployment. @MoritzMuehlenhoff . Please feel free to do so whenever you find the time for it. :-)

Lea_WMDE changed the task status from Stalled to Open.Mar 20 2019, 2:43 PM

@Legoktm How shall we handle the PHP update of wikidiff2 now that buster is frozen, maybe upload 1.8.1 to experimental and I'll rebuild this in component/php72 fo deployment to production?

Mentioned in SAL (#wikimedia-operations) [2019-04-03T09:55:26Z] <moritzm> upgrading beta to hhvm wikidiff 1.8.1 (T203069)

Mentioned in SAL (#wikimedia-operations) [2019-04-04T10:56:32Z] <moritzm> uploaded hhvm-wikidiff 1.8.1 to apt.wikimedia.org/stretch-wikimedia (source package is named php-wikdiff2 for legacy reasons) (T203069)

Mentioned in SAL (#wikimedia-operations) [2019-04-05T07:18:15Z] <moritzm> upgrading mw1262-mw1265 to HHVM 3.18.5+dfsg-1+wmf8+deb9u2 and wikidiff 1.8.1 (T203069)

@Legoktm How shall we handle the PHP update of wikidiff2 now that buster is frozen, maybe upload 1.8.1 to experimental and I'll rebuild this in component/php72 fo deployment to production?

Sure, I can do that. Once the freeze is over, I can get it into buster-backports and I assume stretch-backports-sloppy, though I'm not sure the latter would help since we'd still need to rebuild it for 7.2.

Sure, I can do that. Once the freeze is over, I can get it into buster-backports and I assume stretch-backports-sloppy, though I'm not sure the latter would help since we'd still need to rebuild it for 7.2.

Yeah, as far as our PHP 7.2 deployment is concerned I'll simply rebuild it internally in the component/php72

Change 501624 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/core@master] Remove warning for unnused 4th argument on wikidiff2

https://gerrit.wikimedia.org/r/501624

Change 501625 had a related patch set uploaded (by Krinkle; owner: WMDE-Fisch):
[mediawiki/core@wmf/1.33.0-wmf.24] Remove warning for unnused 4th argument on wikidiff2

https://gerrit.wikimedia.org/r/501625

Change 501626 had a related patch set uploaded (by Krinkle; owner: WMDE-Fisch):
[mediawiki/core@wmf/1.33.0-wmf.23] Remove warning for unnused 4th argument on wikidiff2

https://gerrit.wikimedia.org/r/501626

Change 501624 merged by jenkins-bot:
[mediawiki/core@master] Remove warning for unnused 4th argument on wikidiff2

https://gerrit.wikimedia.org/r/501624

Change 501625 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.24] Remove warning for unnused 4th argument on wikidiff2

https://gerrit.wikimedia.org/r/501625

Change 501626 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.23] Remove warning for unnused 4th argument on wikidiff2

https://gerrit.wikimedia.org/r/501626

@Legoktm How shall we handle the PHP update of wikidiff2 now that buster is frozen, maybe upload 1.8.1 to experimental and I'll rebuild this in component/php72 fo deployment to production?

Sure, I can do that.

Done: https://tracker.debian.org/news/1037415/accepted-wikidiff2-181-1-source-into-experimental/

Mentioned in SAL (#wikimedia-operations) [2019-04-08T07:59:13Z] <moritzm> upgrading mw1266-mw1255 to HHVM 3.18.5+dfsg-1+wmf8+deb9u2 and wikidiff 1.8.1 (T203069)

Mentioned in SAL (#wikimedia-operations) [2019-04-08T07:59:23Z] <moritzm> upgrading mw1266-mw1275 to HHVM 3.18.5+dfsg-1+wmf8+deb9u2 and wikidiff 1.8.1 (T203069)

Mentioned in SAL (#wikimedia-operations) [2019-04-08T08:45:26Z] <moritzm> upgrading API servers mw1221-mw1235 to HHVM 3.18.5+dfsg-1+wmf8+deb9u2 and wikidiff 1.8.1 (T203069)

Mentioned in SAL (#wikimedia-operations) [2019-04-08T10:34:43Z] <moritzm> upgrading app servers in codfw to HHVM 3.18.5+dfsg-1+wmf8+deb9u2 and wikidiff 1.8.1 (T203069)

Mentioned in SAL (#wikimedia-operations) [2019-04-08T12:25:23Z] <moritzm> upgrading API servers in codfw to HHVM 3.18.5+dfsg-1+wmf8+deb9u2 and wikidiff 1.8.1 (T203069)

Mentioned in SAL (#wikimedia-operations) [2019-04-08T13:41:51Z] <moritzm> upgrading job runners in codfw to HHVM 3.18.5+dfsg-1+wmf8+deb9u2 and wikidiff 1.8.1 (T203069)

Mentioned in SAL (#wikimedia-operations) [2019-04-09T07:52:10Z] <moritzm> upgrading app servers mw1319-mw1333 to HHVM 3.18.5+dfsg-1+wmf8+deb9u2 and wikidiff 1.8.1 (T203069)

Mentioned in SAL (#wikimedia-operations) [2019-04-09T11:26:59Z] <moritzm> upgrading API servers mw1276-mw1290 to HHVM 3.18.5+dfsg-1+wmf8+deb9u2 and wikidiff 1.8.1 (T203069)

Mentioned in SAL (#wikimedia-operations) [2019-04-10T09:05:57Z] <moritzm> upgrading job runners mw1299-mw1311 to HHVM 3.18.5+dfsg-1+wmf8+deb9u2 and wikidiff 1.8.1 (T203069)

Joe added a subscriber: Joe.Apr 10 2019, 9:16 AM

Please remember that, when you do the upgrade php 7.2, you also need to clear the whole opcache for the same reasons we needed to clear the HHVM cache.

Mentioned in SAL (#wikimedia-operations) [2019-04-10T09:50:11Z] <moritzm> upgrading snapshot hosts to HHVM 3.18.5+dfsg-1+wmf8+deb9u2 and wikidiff 1.8.1 (T203069)

Mentioned in SAL (#wikimedia-operations) [2019-04-10T09:59:54Z] <moritzm> upgrading labweb hosts (wikitech) to HHVM 3.18.5+dfsg-1+wmf8+deb9u2 and wikidiff 1.8.1 (T203069)

Mentioned in SAL (#wikimedia-operations) [2019-04-11T06:24:38Z] <moritzm> upgrading remaining API Servers to HHVM 3.18.5+dfsg-1+wmf8+deb9u2 and wikidiff 1.8.1 (T203069)

Mentioned in SAL (#wikimedia-operations) [2019-04-11T08:20:24Z] <moritzm> upgrading remaining job runners to HHVM 3.18.5+dfsg-1+wmf8+deb9u2 and wikidiff 1.8.1 (T203069)

The HHVM extension has been fully rolled out to production. The PHP extension (built from a different source package) is still TBD.

Please remember that, when you do the upgrade php 7.2, you also need to clear the whole opcache for the same reasons we needed to clear the HHVM cache.

Ack. I ran some tests with @WMDE-Fisch on the mwdebug* servers; a "systemctl reload php7.2-fpm" (which flushes the opcache) handles that update fine.

Mentioned in SAL (#wikimedia-operations) [2019-04-12T11:56:49Z] <moritzm> upgrading app server canaries to version 1.8.1 of the PHP wikidiff extension (HHVM already deployed) T203069

MoritzMuehlenhoff closed this task as Resolved.Apr 15 2019, 9:46 AM
MoritzMuehlenhoff claimed this task.

The PHP extension is now also fully deployed (with the exception of the labweb/wikitech hosts, but they still need the migration to PHP 7.2 and are currently HHVM-only)